<div class="login">
    <div class="menu-toggler sidebar-toggler"></div>
    <div class="logo">
        <a routerLink="/login">
        </a>
    </div>
    <div class="content">
        <form name="form" [formGroup]="signUpForm" (ngSubmit)="onSubmit" #form="ngForm">
            <h3 class="form-title font-green">Sign In</h3>
            <div class="form-group">
                <label class="control-label visible-ie8 visible-ie9">Username</label>
                <input formControlName="username" class="form-control form-control-solid placeholder-no-fix" type="text" autocomplete="off"
                    placeholder="Email" name="username" />
                <ul class="myError" *ngIf="signUpForm.get('username').errors && (signUpForm.controls.username.dirty || signUpForm.controls.username.touched)">
                    <li *ngIf="signUpForm.get('username').errors['required']">
                        <p class="myError">Nom d'utilisateur est requie</p>
                    </li>
                    <li *ngIf="signUpForm.get('username').errors['email']">
                        <p class="myError">email invalide</p>
                    </li>
                    <li *ngIf="signUpForm.get('username').errors['maxlength']">
                        <p class="myError">email doit avoir au plus 150 caractères
                            <p>
                    </li>
                </ul>
            </div>
            <div class="form-group">
                <label class="control-label visible-ie8 visible-ie9">Password</label>
                <input formControlName="password" class="form-control form-control-solid placeholder-no-fix" type="password" autocomplete="off"
                    placeholder="Password" name="password" />
                <ul class="myError" *ngIf="signUpForm.get('password').errors && (signUpForm.controls.password.dirty || signUpForm.controls.password.touched)">
                    <li *ngIf="signUpForm.get('password').errors['required']">
                        <p class="myError">Mot de passe requie</p>
                    </li>
                    <li *ngIf="signUpForm.get('password').errors['minlength']">
                        <p class="myError">Le mot de passe doit avoir au moins 6 caractères
                            <p>
                    </li>
                    <li *ngIf="signUpForm.get('password').errors['maxlength']">
                        <p class="myError">Le mot de passe doit avoir au plus 100 caractères
                            <p>
                    </li>
                </ul>
            </div>
            <span class="help-block" style="color: red;"></span>

            <div class="form-actions">
                <button [disabled]="!signUpForm.valid" (click)="onSubmit()" type="submit" class="btn green uppercase">Login</button>
                <a [routerLink]="['/auth/forget']" id="forget-password" class="forget-password">Forgot Password?</a>
            </div>
        </form>
    </div>
</div>